CFFT1D_R2C::Complex Struct Reference

`#include <mia/core/fft1d_r2c.hh>`

Inherits std::complex< float >.

## Public Member Functions

| Complex ()
| Complex (const std::complex< float > &other)
| Complex (fftwf_complex &v)

## Detailed Description

Definition at line 44 of file fft1d_r2c.hh.

## Constructor & Destructor Documentation

## Complex() [1/3]

CFFT1D_R2C::Complex::Complex | ( |  | ) |

inline

Definition at line 45 of file fft1d_r2c.hh.

## Complex() [2/3]

CFFT1D_R2C::Complex::Complex | ( | const std::complex< float > & | other | ) |

inline

Definition at line 46 of file fft1d_r2c.hh.

## Complex() [3/3]

CFFT1D_R2C::Complex::Complex | ( | fftwf_complex & | v | ) |

inline

Definition at line 53 of file fft1d_r2c.hh.

The documentation for this struct was generated from the following file:

- fft1d_r2c.hh